/*
 *  outtok2.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include <iostream.h>
#include "usercom.h"
#include "outtok.h"
#include "cgidbg.h"

void OutTokens::Init(OutputType typ, OutCon * o)
{
	// LogOut << "OutTokens::Init(OutputType\n";
	// LogOut << "OutTokens::Init(" << typ << ")\n" ;
	Out = typ;
	if (o) out = &o->GetStream(Out) ;
	else out = &Output->GetStream(Out);
}

void OutTokens::Check(ostream * o)
{
	out = o;
	return ;
}



